ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jonathan Hurley (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-22219) Set current_version for Backward Compatibility
Date Thu, 12 Oct 2017 14:47:00 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-22219?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jonathan Hurley updated AMBARI-22219:
-------------------------------------
    Status: In Progress  (was: Patch Available)

> Set current_version for Backward Compatibility
> ----------------------------------------------
>
>                 Key: AMBARI-22219
>                 URL: https://issues.apache.org/jira/browse/AMBARI-22219
>             Project: Ambari
>          Issue Type: Bug
>    Affects Versions: 2.6.0
>            Reporter: Jonathan Hurley
>            Assignee: Jonathan Hurley
>            Priority: Blocker
>             Fix For: 2.6.0
>
>         Attachments: AMBARI-22219.patch
>
>
> Some stacks, mpacks, and extension services may have been relying on the deprecated and
removed {{hostLevelParams/current_version}}. Although this value was removed since there is
no longer a single version for the cluster, we can continue to set it using the version of
the repository associated with the current command.
> This will allow existing mpacks and services which were relying on this value to continue
to using it until they can switch over to {{componentVersionMapping}} structure. 



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message